Bug 1477642 - [RFE][spine-leaf] Ironic support for Routed Networks
Summary: [RFE][spine-leaf] Ironic support for Routed Networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-baremetal
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Harald Jensås
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1477307 1544785
Blocks: 1419948 1214284
TreeView+ depends on / blocked
 
Reported: 2017-08-02 14:17 UTC by Bob Fournier
Modified: 2018-06-27 13:34 UTC (History)
14 users (show)

Fixed In Version: python-networking-baremetal-1.0.0-0.20180220161644.deb466b.el7ost puppet-neutron-12.3.1-0.20180222064632.07b93f1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1658964 None None None 2017-08-07 16:20:45 UTC
OpenStack gerrit 456235 None MERGED Add baremetal neutron agent 2020-07-28 20:47:25 UTC
OpenStack gerrit 521838 None MERGED Switch from MechanismDriver to SimpleAgentMechanismDriverBase 2020-07-28 20:47:25 UTC
OpenStack gerrit 531637 None MERGED Wait for ironic-neutron-agent to report state 2020-07-28 20:47:24 UTC
OpenStack gerrit 533707 None MERGED start_flag = True, only first time, or conf change 2020-07-28 20:47:24 UTC
OpenStack gerrit 536040 None MERGED Flat networks use node.uuid when binding ports. 2020-07-28 20:47:24 UTC
OpenStack gerrit 537826 None MERGED Add networking-baremetal ml2 plug-in 2020-07-28 20:47:24 UTC
OpenStack gerrit 539405 None MERGED Add networking-baremetal - ironic-neutron-agent 2020-07-28 20:47:24 UTC
OpenStack gerrit 542799 None MERGED Fix dependency cycle issue 2020-07-28 20:47:24 UTC
RDO 11243 None rpm-master: MERGED openstack/networking-baremetal-distgit: Initial packaging (Ia986756ed848c2ecd4aaf94444f9559bf79fff45) 2018-02-28 13:32:28 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:34:57 UTC

Description Bob Fournier 2017-08-02 14:17:25 UTC
Description of problem:

This RFE tracks support for Routed Networks in Ironic, specifically the functionality in networking-baremetal to populate neutron with information about each Ironic node's NIC to physnet mappings.

The upstream patch is here: https://review.openstack.org/#/c/456235/

This depends on the work that was done in Pike for physical network awareness as tracked with this RFE - https://bugzilla.redhat.com/show_bug.cgi?id=1477307.

Comment 2 Bob Fournier 2017-08-07 16:20:46 UTC
See also upstream bug - https://bugs.launchpad.net/ironic/+bug/1658964

Comment 6 Bob Fournier 2017-12-07 18:02:55 UTC
Harald - assigning this to you as you took over the upstream patch.

Comment 7 Bob Fournier 2018-01-17 18:51:21 UTC
FFE text:

This doc is to request a Feature Freeze exception for OSP-13 for the following BZs which are related to the Spine/Leaf functionality for OSP-13. 
https://bugzilla.redhat.com/show_bug.cgi?id=1214284
https://bugzilla.redhat.com/show_bug.cgi?id=1477642
In OSP-12, Spine/Leaf with composable networks was added in OSP-12, it did not include support for a routed provisioning network.  This routed provisioning network support is what is planned on being added in OSP-13.  The remaining patches are up for review and includes changes in THT, heat, instack-undercloud, networking-baremetal (formerly under ironic), and neutron.
It is anticipated that the remaining patches will land in M3. 
Regarding the set of questions for these BZs:
What is the potential impact to other DFGs?
There will be very little impact to other DFGs, however there are some services which still require a shared VLAN in order to perform clustering. We will need to identify which services can be spread across multiple subnets, and then potentially look at refactoring those services in a future version. 
What are the new software dependencies, if any, required by the feature?
	All associated patches are listed in the BZs.
Will the DFG be able to test it in time for the release? 
In Pike we had a joint collaboration between QE and development to test many features and we plan on doing this also for this feature.  The entire composable networks setup was developed between development and QE.
Will it block testing of anything else?
	No.
Will documentation be able to do its work in time? (Have you checked with the doc team?)
This feature, as the related Spine/Leaf feature did in Pike, requires a lot of engineering assistance for documentation.  As a DFG we anticipate in helping document this feature.  We have already produced a Spine/Leaf document and we will be augmenting this document for these BZs.
What other work will not get done?
We have engineering resources dedicated to this feature so it will not affect any other features planned for OSP-13. Additionally, almost all of the coding is finished, and we are in the process of obtaining reviews and doing final cleanup.
What is the business impact of not doing this now?
We have had multiple customers requesting support for Spine/Leaf.  In OSP-12, a partial solution was implemented that did not include the provisioning network.  This feature completes the Spine/Leaf functionality and is desired by customers that do not want to implement the partial solution in OSP-12. In particular, NFV customers have been waiting for this feature to be available for a number of releases.
What is the best case/worst case scenario for this landing (timing/impact)?
	Best case: All remaining patches associated with both BZs land in OSP-13 M3.
Good case: Enough patches land in OSP-13 M3 so that a “Spine/Leaf with routed provisioning network” solution can be implemented with some manual configuration steps documented.
Worst case:Remaining patches do not land and Spine/Leaf provisioning network support gets deferred to OSP-14.
What other Feature Freeze Exception are being requested?
https://docs.google.com/document/d/1fNgXIYq1-L8XzU5XQYYG9CsGSTws2Uudp2IUUn9qk1o/edit#heading=h.aqg8t797wddr
https://docs.google.com/document/d/10tCf3LmSoHoO9kPfbCY99dP2ElMqksjC_OzLig9psVw/edit
https://docs.google.com/document/d/1GBj-ignKGfcFdt3UPZtwdwRRuVw0Qe7aI8fBggfsykE/edit#

Comment 14 Alexander Chuzhoy 2018-05-07 20:53:05 UTC
Verified:

Environment:
python2-networking-baremetal-1.0.0-1.el7ost.noarch
puppet-neutron-12.4.1-0.20180412211913.el7ost.noarch

Was able to introspect nodes residing on separated spine leafs.
Was able to deploy OC.
Was able to populate the OC with instance reachable via floating IP.

Comment 16 errata-xmlrpc 2018-06-27 13:33:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.